devel/libxenserver - The NetBSD Packages Collection

Citrix XenServer SDK for C

Citrix XenServer includes a XML-RPC based API, providing programmatic access
to the extensive set of XenServer management features and tools. The
XenServer API can be called from a remote system as well as local to the
XenServer host. Remote calls are generally made securely over HTTPS, using
port 443.

There are five SDKs available, one for each of C, C#, Java, PowerShell, and
Python. These are provided under an open-source license (LGPL or GPL with
the common linking exception). This allows use (unmodified) in both
closed-and open-source applications.

There are also several example code samples also provided for download. Some
of the code samples demonstrate creating a VM, running VM power operations,
and watching for events.

The XenServer 5.6 Feature Pack 1 SDKs are suitable not just for 5.6 FP1
servers, but for use with all versions of XenServer from 4.0 to 5.6 FP1,
making it possible to address multiple XenServer versions with a single
binary. There are, of course, features missing on the older versions, and
client programs are expected to check host.software_version["product_version"]
to gracefully fall back when appropriate.

Build dependencies

pkgtools/cwrappers devel/gmake

Runtime dependencies

textproc/libxml2 www/curl textproc/libxml2 www/curl

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibxenserver-6.2.0nb20.tgz
NetBSD 8.0earmv7hflibxenserver-6.2.0nb19.tgz
NetBSD 8.0earmv7hflibxenserver-6.2.0nb20.tgz
NetBSD 8.0i386libxenserver-6.2.0nb19.tgz
NetBSD 8.0i386libxenserver-6.2.0nb20.tgz
NetBSD 8.0i386libxenserver-6.2.0nb20.tgz
NetBSD 8.0powerpclibxenserver-6.2.0nb19.tgz
NetBSD 8.0powerpclibxenserver-6.2.0nb20.tgz
NetBSD 8.0powerpclibxenserver-6.2.0nb20.tgz
NetBSD 8.0x86_64libxenserver-6.2.0nb19.tgz
NetBSD 8.0x86_64libxenserver-6.2.0nb20.tgz
NetBSD 9.0aarch64libxenserver-6.2.0nb20.tgz
NetBSD 9.0aarch64libxenserver-6.2.0nb19.tgz
NetBSD 9.0aarch64libxenserver-6.2.0nb20.tgz
NetBSD 9.0alphalibxenserver-6.2.0nb20.tgz
NetBSD 9.0alphalibxenserver-6.2.0nb19.tgz
NetBSD 9.0alphalibxenserver-6.2.0nb20.tgz
NetBSD 9.0earmlibxenserver-6.2.0nb19.tgz
NetBSD 9.0earmv6hflibxenserver-6.2.0nb20.tgz
NetBSD 9.0earmv6hflibxenserver-6.2.0nb19.tgz
NetBSD 9.0earmv6hflibxenserver-6.2.0nb20.tgz
NetBSD 9.0earmv6hflibxenserver-6.2.0nb20.tgz
NetBSD 9.0earmv7hflibxenserver-6.2.0nb20.tgz
NetBSD 9.0earmv7hflibxenserver-6.2.0nb19.tgz
NetBSD 9.0earmv7hflibxenserver-6.2.0nb20.tgz
NetBSD 9.0earmv7hflibxenserver-6.2.0nb20.tgz
NetBSD 9.0i386libxenserver-6.2.0nb19.tgz
NetBSD 9.0i386libxenserver-6.2.0nb20.tgz
NetBSD 9.0i386libxenserver-6.2.0nb20.tgz
NetBSD 9.0mips64eblibxenserver-6.2.0nb20.tgz
NetBSD 9.0mips64eblibxenserver-6.2.0nb19.tgz
NetBSD 9.0mips64eblibxenserver-6.2.0nb20.tgz
NetBSD 9.0powerpclibxenserver-6.2.0nb20.tgz
NetBSD 9.0powerpclibxenserver-6.2.0nb19.tgz
NetBSD 9.0sparc64libxenserver-6.2.0nb20.tgz
NetBSD 9.0sparc64libxenserver-6.2.0nb19.tgz
NetBSD 9.0sparc64libxenserver-6.2.0nb19.tgz
NetBSD 9.0sparc64libxenserver-6.2.0nb20.tgz
NetBSD 9.0sparclibxenserver-6.2.0nb20.tgz
NetBSD 9.0sparclibxenserver-6.2.0nb19.tgz
NetBSD 9.0sparclibxenserver-6.2.0nb20.tgz
NetBSD 9.0x86_64libxenserver-6.2.0nb20.tgz
NetBSD 9.0x86_64libxenserver-6.2.0nb20.tgz
NetBSD 9.0x86_64libxenserver-6.2.0nb20.tgz
NetBSD 9.0x86_64libxenserver-6.2.0nb19.tgz
NetBSD 9.0x86_64libxenserver-6.2.0nb20.tgz
NetBSD 9.0x86_64libxenserver-6.2.0nb20.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.